Bug 4857 - "Cancel" doesn't make sense for closing the crash reporter's "Thank you" dialog
: "Cancel" doesn't make sense for closing the crash reporter's "Thank you" dialog
Status: RESOLVED WONTFIX
Product: Mauku
Application
: unspecified
: All Maemo
: Low minor (vote)
: ---
Assigned To: Henrik Hedberg (Innologies)
: general-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-07-29 20:36 UTC by Stephen Gadsby
Modified: 2009-10-14 15:43 UTC (History)
1 user (show)

See Also:


Attachments
screenshot of the Mauku crash reporter window (35.42 KB, image/jpeg)
2009-08-15 04:29 UTC, Stephen Gadsby
Details
screenshot of the Mauku crash reporter "Thank you" dialog (25.94 KB, image/jpeg)
2009-08-15 04:37 UTC, Stephen Gadsby
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description Stephen Gadsby (reporter) maemo.org 2009-07-29 20:36:29 UTC
SOFTWARE VERSION:
5.2008.43-7

STEPS TO REPRODUCE THE PROBLEM:
1. Crash Mauku.
2. Allow Mauku's crash reporter to send a crash log.

EXPECTED OUTCOME:
The "Thank you" dialog box at the end of the crash reporting process is
dismissed by its only button, one that says, perhaps, "Ok" or "Close".

ACTUAL OUTCOME:
The "Thank you" dialog box at the end of the crash reporting process is
dismissed by its only button, one that says "Cancel". "Cancel" doesn't make
much sense in this context. "Ok" or "Close" might be better.

REPRODUCIBILITY:
always

EXTRA SOFTWARE INSTALLED:
n/a

OTHER COMMENTS:
I expect this is WONTFIX for Diablo and either INVALID or FIXED for Fremantle
where dialogs are dismissed differently. It's a minor issue that sticks out in
an otherwise excellent product though, so I still feel compelled to report it.

User-Agent:       Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US;
rv:1.9.0.12) Gecko/2009070609 Firefox/3.0.12
Comment 1 Quim Gil nokia 2009-08-03 23:42:11 UTC
Is this Crash Reporter tied to Mauku are you referring to Nokia's Crash
Reporter?
Comment 2 Stephen Gadsby (reporter) maemo.org 2009-08-04 14:02:56 UTC
(In reply to comment #1)
> Is this Crash Reporter tied to Mauku are you referring to Nokia's Crash
> Reporter?

I'm fairly certain that this crash reporter is something specific to Mauku.
Nokia's crash reporter isn't present in public releases of Maemo, is it?

I'll add a screenshot to this bug report if Mauku crashes again.
Comment 3 Quim Gil nokia 2009-08-04 14:09:26 UTC
It is available in Diablo although (afaik) not installed by default:

http://maemo.org/development/documentation/man_pages/1227619139/

Anyway, Henrik will know better.  :)
Comment 4 Stephen Gadsby (reporter) maemo.org 2009-08-15 04:29:56 UTC
Created an attachment (id=1318) [details]
screenshot of the Mauku crash reporter window

Screenshot* MaukuCrashReporter1.jpg shows the "Application Crashed" window that
appears when Mauku encounters a fatal error. This image has nothing directly to
do with this bug; it's just to help Quim (or someone else) determine whether
the crash reporter discussed in this bug is a Mauku-specific program or the
general, Nokia one.

* Okay, it's a digital photo of the screen. Mauku chose to crash when I didn't
have a screenshot program installed.
Comment 5 Stephen Gadsby (reporter) maemo.org 2009-08-15 04:37:41 UTC
Created an attachment (id=1319) [details]
screenshot of the Mauku crash reporter "Thank you" dialog

Screenshot* MaukuCrashReporter2.jpg shows the "Thank you" dialog that appears
when the Mauku crash reporter finishes sending the crash log. The exact text in
the dialog is as follows:

---------------------------------
The information is uploaded.
Thank you for your valuable help.
           [Cancel]
---------------------------------

The "Cancel" button simply doesn't make sense. The crash reporting process is
complete by this point, so there's no action to cancel. The button should say
"Ok", "Close", or something along those lines instead.

Again, this isn't a major issue, but it is a minor rough spot that could be
quickly fixed to make a great application that much more polished.

* Okay, it's a digital photo of the screen. Mauku chose to crash when I didn't
have a screenshot program installed.
Comment 6 Henrik Hedberg (Innologies) 2009-10-14 15:43:39 UTC
This is actually related to the Miauw library (see
http://miaouw.henrikhedberg.com). However, the library and the Mauku 0.x for
legacy devices is not currently maintained.

This bug may be reopened if the library will be maintained again later.